<?php


require 'cn2.php';

$sql= "select * from mg_ecomputo d LEFT JOIN mg_usuarios u on d.id = u.id";

$resultado = $mysqli->query($sql);
if($resultado -> num_rows > 0){
    date_default_timezone_set('America/Mexico_City');
    
   
    require_once 'Classes/PHPExcel.php';
    $objPHPExcel= new PHPExcel();
    $objPHPExcel->getProperties()->setCreator("Sistemas MG")->
    setLastModifiedBy("MG")->
    setTitle("EQUIPOS")->
    setSubject("Reporte Equipos")->
    setDescription("Reporte Inventario MG")->
    setKeywords("Reporte de Equipos MG ")->
    setCategory("Reporte");

    $tituloreporte = "Equipos De Computo MG";
    $titulosColumnas = array('ID','NOMBRE','NOMBREPC','IP',
    'DOMINIO','TIPO','S.O','OFFICE','MODELO','SERIE','PROCESADOR',
    'HDD','RAM','MONITOR','SERIE','ANTIVIRUS','TIPOVENTA','USUARIO');
    
    $objPHPExcel->setActiveSheetIndex(0)
    ->mergeCells('A1:Q1');
    
    $objPHPExcel->setActiveSheetIndex(0)
    ->setCellValue('A1',  $tituloreporte)
    ->setCellValue('A2',  $titulosColumnas[0])  
    ->setCellValue('B2',  $titulosColumnas[1])
    ->setCellValue('C2',  $titulosColumnas[2])
    ->setCellValue('D2',  $titulosColumnas[3])
    ->setCellValue('E2',  $titulosColumnas[4])  
    ->setCellValue('F2',  $titulosColumnas[5])
    ->setCellValue('G2',  $titulosColumnas[6])
    ->setCellValue('H2',  $titulosColumnas[7])
    ->setCellValue('I2',  $titulosColumnas[8]) 
    ->setCellValue('J2',  $titulosColumnas[9])
    ->setCellValue('K2',  $titulosColumnas[10])
    ->setCellValue('L2',  $titulosColumnas[11])
    ->setCellValue('M2',  $titulosColumnas[12]) 
    ->setCellValue('N2',  $titulosColumnas[13])
    ->setCellValue('O2',  $titulosColumnas[14])
    ->setCellValue('P2',  $titulosColumnas[15])
    ->setCellValue('Q2',  $titulosColumnas[16]);
    
    
    $i=3;
    while($fila= $resultado->fetch_array())
    {
        $objPHPExcel->setActiveSheetIndex(0)
        ->setCellValue('A'.$i, $fila['id'])
        ->setCellValue('B'.$i, $fila['nombre'])
        ->setCellValue('C'.$i, $fila['name'])
        ->setCellValue('D'.$i, $fila['ip'])
        ->setCellValue('E'.$i, $fila['dominio'])
        ->setCellValue('F'.$i, $fila['tipo'])
        ->setCellValue('G'.$i, $fila['so'])
        ->setCellValue('H'.$i, $fila['loffice'])
        ->setCellValue('I'.$i, $fila['modelo'])
        ->setCellValue('J'.$i, $fila['serie'])
        ->setCellValue('K'.$i, $fila['procesador'])
        ->setCellValue('L'.$i, $fila['hdd'])
        ->setCellValue('M'.$i, $fila['ram'])
        ->setCellValue('N'.$i, $fila['monitor'])
        ->setCellValue('O'.$i, $fila['seriem'])
        ->setCellValue('P'.$i, $fila['antivirus'])
        ->setCellValue('Q'.$i, $fila['tipoventa']);
    $i++;
        
    }
    for($i = 'A'; $i <= 'Q'; $i++){
    $objPHPExcel->setActiveSheetIndex(0)->getColumnDimension($i)->setAutoSize(TRUE);
}
    $objPHPExcel->getActiveSheet()->setTitle('Equipos');
      
   
    $objPHPExcel->setActiveSheetIndex(0);
      
    // Inmovilizar paneles
    $objPHPExcel->getActiveSheet(0)->freezePaneByColumnAndRow(0,3);
    
       header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header('Content-Disposition: attachment;filename="ReporteEquiposMG.xlsx"');
    header('Cache-Control: max-age=0');
      
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
    $objWriter->save('php://output');
    exit;
    }
    else{
        print_r('No hay resultados para mostrar');
    }
?>